Subject: Re: Linus' sha1 is much faster!

From: Pádraig Brady <[email-masked]>
Date: Wed, 26 Aug 2009 12:39:39 +0100

Nicolas Pitre wrote:
> On Sat, 15 Aug 2009, Linus Torvalds wrote:
> 
>> (Heh. Looking at that, I probably should move the 'size' field first, 
>> since that would have different alignment rules, and the struct would be 
>> more tightly packed that way, and initialize better).
> 
> I was about to suggest (i.e. post) a patch for that.  This is indeed a 
> good idea.
> 
>> Afaik, none of the actual code remains (the mozilla SHA1 thing did the 
>> wrong thing for performance even for just the final bytes, and did those a 
>> byte at a time etc, so I rewrote even the trivial SHA1_Final parts).
> 
> Maybe a patch adding a proper header with the actual license would be a 
> good idea too.

So have you decided on a final licence,
and if so update the headers accordingly?

cheers!
Pádraig.